
GOROOT=..
LDLIBS=-lfl
CLEAN=main main.exe $(CALCOBJS) Main.c Main.h Types.c Types.h Functions.c Functions.h *~ *.srz *.rdb *.fol *.ast *.cps *.exe *.stackdump

# EVERYTHING
all:	main


# MAIN PROGRAM

CALCOBJS= Main.o Types.o Functions.o
main: $(CALCOBJS)
	$(LINK.rml) -o main $(CALCOBJS) $(LDLIBS)

Main.o:	 Main.c Main.h
Main.c Main.h: Main.mo
	$(COMPILE.rml) Main.mo

Types.o:	 Types.c Types.h
Types.c Types.h: Types.mo
	$(COMPILE.rml) Types.mo

Functions.o:	 Functions.c Functions.h
Functions.c Functions.h: Functions.mo
	$(COMPILE.rml) Functions.mo
	
run: main
	main 10

include $(GOROOT)/etc/client.mk



